curl --request GET \
--url https://api.factory.ai/api/v0/organization/enterprise-controls/history \
--header 'Authorization: Bearer <token>'{
"changes": [
{
"revision": 123,
"settings": {
"sessionDefaultSettings": {
"model": "<string>",
"reasoningEffort": "none",
"interactionMode": "auto",
"autonomyLevel": "off",
"autonomyMode": "normal",
"specModeModel": "<string>",
"specModeReasoningEffort": "none"
},
"maxAutonomyLevel": "off",
"mcpAutonomyOverrides": {},
"cloudSessionSync": true,
"wikiCloudSync": true,
"includeCoAuthoredByDroid": true,
"enableDroidShield": true,
"ideAutoConnect": true,
"commandAllowlist": [
"<string>"
],
"commandDenylist": [
"<string>"
],
"customModels": [
{
"model": "<string>",
"baseUrl": "<string>",
"apiKey": "<string>",
"provider": "anthropic",
"id": "<string>",
"index": 123,
"displayName": "<string>",
"maxContextLimit": 123,
"enableThinking": true,
"thinkingMaxTokens": 123,
"maxOutputTokens": 123,
"reasoningEffort": "none",
"extraHeaders": {},
"extraArgs": {},
"noImageSupport": true
}
],
"modelPolicy": {
"allowedModelIds": [
"<string>"
],
"blockedModelIds": [
"<string>"
],
"allowCustomModels": true,
"allowedBaseUrls": [
"<string>"
],
"allowAllFactoryModels": true,
"isFastModelsAllowed": true
},
"mcpPolicy": {
"enabled": false,
"allowlist": [
"<string>"
]
},
"missionPolicy": {
"restrictedAccess": false,
"allowedUserIds": [
"<string>"
]
},
"userModelPolicies": {},
"enabledPlugins": {},
"extraKnownMarketplaces": {},
"strictKnownMarketplaces": [
{
"source": "github",
"repo": "<string>"
}
],
"networkPolicy": {
"allowedIps": [
"<string>"
]
},
"sandbox": {
"enabled": true,
"mode": "per-command",
"filesystem": {
"allowWrite": [
"<string>"
],
"allowRead": [
"<string>"
],
"denyWrite": [
"<string>"
],
"denyRead": [
"<string>"
]
},
"network": {
"allowedDomains": [
"<string>"
],
"allowUnixSockets": [
"<string>"
],
"allowAllUnixSockets": true,
"allowLocalBinding": true,
"httpProxyPort": 123,
"socksProxyPort": 123
}
},
"restrictMemberVisibility": true,
"managedComputersEnabled": true,
"sessionRetentionDays": 189
},
"user": {
"id": "<string>",
"email": "<string>",
"name": "<string>"
},
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"hasMore": true,
"nextCursor": "<string>"
}
}Returns a paginated list of enterprise control setting changes for the organization, ordered by revision descending. Properties for the settings object may be added, removed, or renamed between API versions. Clients should parse it as a generic JSON object.
curl --request GET \
--url https://api.factory.ai/api/v0/organization/enterprise-controls/history \
--header 'Authorization: Bearer <token>'{
"changes": [
{
"revision": 123,
"settings": {
"sessionDefaultSettings": {
"model": "<string>",
"reasoningEffort": "none",
"interactionMode": "auto",
"autonomyLevel": "off",
"autonomyMode": "normal",
"specModeModel": "<string>",
"specModeReasoningEffort": "none"
},
"maxAutonomyLevel": "off",
"mcpAutonomyOverrides": {},
"cloudSessionSync": true,
"wikiCloudSync": true,
"includeCoAuthoredByDroid": true,
"enableDroidShield": true,
"ideAutoConnect": true,
"commandAllowlist": [
"<string>"
],
"commandDenylist": [
"<string>"
],
"customModels": [
{
"model": "<string>",
"baseUrl": "<string>",
"apiKey": "<string>",
"provider": "anthropic",
"id": "<string>",
"index": 123,
"displayName": "<string>",
"maxContextLimit": 123,
"enableThinking": true,
"thinkingMaxTokens": 123,
"maxOutputTokens": 123,
"reasoningEffort": "none",
"extraHeaders": {},
"extraArgs": {},
"noImageSupport": true
}
],
"modelPolicy": {
"allowedModelIds": [
"<string>"
],
"blockedModelIds": [
"<string>"
],
"allowCustomModels": true,
"allowedBaseUrls": [
"<string>"
],
"allowAllFactoryModels": true,
"isFastModelsAllowed": true
},
"mcpPolicy": {
"enabled": false,
"allowlist": [
"<string>"
]
},
"missionPolicy": {
"restrictedAccess": false,
"allowedUserIds": [
"<string>"
]
},
"userModelPolicies": {},
"enabledPlugins": {},
"extraKnownMarketplaces": {},
"strictKnownMarketplaces": [
{
"source": "github",
"repo": "<string>"
}
],
"networkPolicy": {
"allowedIps": [
"<string>"
]
},
"sandbox": {
"enabled": true,
"mode": "per-command",
"filesystem": {
"allowWrite": [
"<string>"
],
"allowRead": [
"<string>"
],
"denyWrite": [
"<string>"
],
"denyRead": [
"<string>"
]
},
"network": {
"allowedDomains": [
"<string>"
],
"allowUnixSockets": [
"<string>"
],
"allowAllUnixSockets": true,
"allowLocalBinding": true,
"httpProxyPort": 123,
"socksProxyPort": 123
}
},
"restrictMemberVisibility": true,
"managedComputersEnabled": true,
"sessionRetentionDays": 189
},
"user": {
"id": "<string>",
"email": "<string>",
"name": "<string>"
},
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"hasMore": true,
"nextCursor": "<string>"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.factory.ai/llms.txt
Use this file to discover all available pages before exploring further.
Factory API key or JWT token for authentication
Maximum number of items to return (1-100)
Cursor for pagination